## xournal 0.4.8

=== debian/changelog ===
xournal (1:0.4.8-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:52:52 +0000

xournal (1:0.4.8-1) unstable; urgency=medium

  * New upstream release (Closes: #756974, #700586, #659586)
  * Upgrade to Standards-Version 3.9.6 (no changes)
  * Added epoch to correct error in version number for last release
  * New translations included (Closes: #685107)
  * Patched debian/rules to update autotools files before 
    building the package.  Thanks to Logan Rosen, ravi and Breno 
    Leitao (Closes: #735383, #746530)

 -- Carlo Segre <segre@debian.org>  Sun, 26 Oct 2014 13:51:19 -0500

xournal (4.7-1) unstable; urgency=low

  * New upstream release (Closes: #690439)
  * Upgrade to Standards-Version 3.9.3 (no changes)

 -- Carlo Segre <segre@debian.org>  Sun, 14 Oct 2012 11:29:46 -0500

=== debian/control ===
Source: xournal
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Carlo Segre <segre@debian.org>
Build-Depends: debhelper (>= 7), autoconf, automake, autotools-dev,
     libgtk2.0-dev (>= 2.10), libgnomecanvas2-dev, 
     libpoppler-glib-dev (>= 0.5.4)
Standards-Version: 3.9.6
Homepage: http://xournal.sourceforge.net/

Package: xournal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ghostscript-x
Description: GTK+ Application for note taking
 Xournal is a GTK+ application for notetaking, sketching and
 keeping a journal using a stylus. It can also be used to
 add annotations to PDF files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_autotools-dev_updateconfig
	cp -a aclocal.m4 aclocal.m4.alt
	cp -a missing missing.alt
	cp -a Makefile.in Makefile.in.alt
	cp -a install-sh install-sh.alt
	cp -a depcomp depcomp.alt
	cp -a configure configure.alt
	cp -a src/Makefile.in src/Makefile.in.alt
	cp -a src/ttsubset/Makefile.in src/ttsubset/Makefile.in.alt
	# Configure the package.
	./autogen.sh --prefix=/usr
	dh_auto_configure -- $(shell dpkg-buildflags --export=configure)

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Compile the package.
	$(MAKE)

	# Put back all the copied files
	mv aclocal.m4.alt aclocal.m4
	mv missing.alt missing
	mv Makefile.in.alt Makefile.in
	mv install-sh.alt install-sh
	mv depcomp.alt depcomp
	mv configure.alt configure
	mv src/Makefile.in.alt src/Makefile.in
	mv src/ttsubset/Makefile.in.alt src/ttsubset/Makefile.in
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot

	# Clean up after the build process.
	if test -f Makefile; then \
		$(MAKE) distclean; \
	else \
		rm -f src/xournal; \
        fi

	rm -f configure-stamp build-stamp
	rm -f ar-lib compile

	dh_autotools-dev_restoreconfig
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Install the package into debian/xournal.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xournal
	$(MAKE) desktop-install DESTDIR=$(CURDIR)/debian/xournal
	# Remove HTML manual from /usr/share/xournal/html-doc
	rm -rf $(CURDIR)/debian/xournal/usr/share/xournal/html-doc

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman debian/xournal.1
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://sf.net/xournal/xournal-(.*)\.tar\.gz

## xournal 0.4.8.2016

=== src/win32/Makefile ===
all: xournal.res
all-recursive: all
install-recursive:
install:

xournal.res: xournal.rc
	windres xournal.rc -O coff -o xournal.res

distdir:
	cp -fp xournal.ico xournal.rc Makefile $(distdir)

distclean:
	rm -f xournal.res

=== debian/changelog ===
xournal (1:0.4.8.2016-7) unstable; urgency=medium

  * Rules do not require root LOWER CASE NO (closes: #972813)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 24 Oct 2020 11:50:38 +0100

xournal (1:0.4.8.2016-6) unstable; urgency=medium

  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Update standards version to 4.5.0, no changes needed.
  * Add patch: upstream commit for autosave repetition bug
  * Add patch: upstream commit for text box background
  * bump to debhelper 13
  * Rules do not require root
  * Add metadata file

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 21 Oct 2020 21:08:28 +0100

xournal (1:0.4.8.2016-5) unstable; urgency=medium

  * bump policy
  * delete mimelnk harder (closes: #875523)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 Sep 2019 21:27:08 +0100

xournal (1:0.4.8.2016-4) unstable; urgency=medium

  * Quilt patch to rejigger autoconf for -lX11 on non-linux arch

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 05 Aug 2019 11:22:28 +0200

xournal (1:0.4.8.2016-3) unstable; urgency=medium

  * Quilt patch for upstream translation
  * bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Aug 2019 21:39:38 +0200

xournal (1:0.4.8.2016-2) unstable; urgency=medium

  * Quilt patch to fix .xoj file icon, see
    https://bugs.launchpad.net/ubuntu/+source/xournal/+bug/1306290
  * Typo in debian/copyright

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 08 Mar 2019 14:54:13 +0000

xournal (1:0.4.8.2016-1) unstable; urgency=medium

  * New upstream release (closes: #869821)
    - removes ancient xxx(null) formal parameter (closes: #748165)
  * Upgrade to debhelper 12, tweaking build scripts accordingly
    - build architecture configuration issue (closes: #876098)
    - enables parallel building (closes: #820619)
  * Upgrade to Standards-Version 4.3.0
  * Remove menu file, per policy
  * Trim debian/changelog whitespace
  * Add pointer to packaging repo in salsa
  * Disable ldflags patch; handled automatically by debhelper
  * Remove debian/xournal.1 emacs major mode comment; emacs knows all
  * Harden
  * Add self as uploader
  * Remove now-superfluous linker as-needed quilt patch
  * Add desktop file tweaks quilt patch
  * Add doc-base entry for user's manual
  * Address some compiler warnings quilt patch
  * Catalan translation update patch (closes: #864863)
  * Remove KDE3 cruft (failed to close #875523 due to a bug oops oops)
  * Include 8 upstream post-release commits as quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 Mar 2019 12:23:51 +0000

=== debian/control ===
Source: xournal
Section: x11
Priority: optional
Maintainer: Carlo Segre <segre@debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13),
     libgtk2.0-dev (>= 2.10), libgnomecanvas2-dev,
     libpoppler-glib-dev (>= 0.5.4)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://xournal.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/xournal.git
Vcs-Browser: https://salsa.debian.org/debian/xournal

Package: xournal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ghostscript-x
Description: GTK+ Application for note taking
 Xournal is a GTK+ application for notetaking, sketching and
 keeping a journal using a stylus. It can also be used to
 add annotations to PDF files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Add extra target so desktop crud is also installed.
# Remove autotools-installed HTML manual; is installed directly from source tree.
# Remove /usr/share/mimelnk/ files, these are cruft left from KDE3.
override_dh_auto_install:
	dh_auto_install -- desktop-install
	-rm --verbose -rf $(CURDIR)/debian/xournal/usr/share/xournal/html-doc
	-rm --verbose -rf $(CURDIR)/debian/xournal/usr/share/mimelnk

## xournal 4.7

=== debian/changelog ===
xournal (4.7-1ubuntu1) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 13 Jan 2014 21:43:52 -0500

=== debian/control ===
Source: xournal
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Carlo Segre <segre@debian.org>
Build-Depends: debhelper (>= 7), autoconf, automake, libgtk2.0-dev (>= 2.10),
     libgnomecanvas2-dev, libpoppler-glib-dev (>= 0.5.4), autotools-dev
Standards-Version: 3.9.3
Homepage: http://xournal.sourceforge.net/

Package: xournal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ghostscript-x
Description: GTK+ Application for note taking
 Xournal is a GTK+ application for notetaking, sketching and
 keeping a journal using a stylus. It can also be used to
 add annotations to PDF files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_autotools-dev_updateconfig
	# Configure the package.
	./autogen.sh --prefix=/usr

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Compile the package.
	$(MAKE)

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot

	# Clean up after the build process.
	if test -f Makefile; then \
		$(MAKE) distclean; \
	else \
		rm -f src/xournal; \
        fi

	rm -f aclocal.m4 config.h.in Makefile.in src/Makefile.in
	rm -f configure-stamp build-stamp
	rm -f depcomp install-sh missing configure

	dh_autotools-dev_restoreconfig
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Install the package into debian/xournal.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xournal
	$(MAKE) desktop-install DESTDIR=$(CURDIR)/debian/xournal
	# Remove HTML manual from /usr/share/xournal/html-doc
	rm -rf $(CURDIR)/debian/xournal/usr/share/xournal/html-doc

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman debian/xournal.1
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
